Page 1 of 2 12 LastLast
Results 1 to 10 of 20

Thread: Installation Help - AMD Catalyst for 12.3

  1. #1

    Default Installation Help - AMD Catalyst for 12.3

    I am a total Opensuse newbie who has used Ubuntu 12.10 (running Cinnamon). I dual boot with Windows 7.

    Is there a guide to install the ATI drivers for my video card (5870)? Do they work in 12.3? I rather not blow out my install of Ubuntu unless I have some idea what I'm doing. I seem to be spinning my wheels looking for an answer - any help is appreciated. Thanks.

  2. #2
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    16,444
    Blog Entries
    14

    Default Re: Installation Help - AMD Catalyst for 12.3

    On Wed 13 Mar 2013 06:06:02 PM CDT, CHAZDG51 wrote:


    I am a total Opensuse newbie who has used Ubuntu 12.10 (running
    Cinnamon). I dual boot with Windows 7.

    Is there a guide to install the ATI drivers for my video card (5870)?
    Do they work in 12.3? I rather not blow out my install of Ubuntu unless
    I have some idea what I'm doing. I seem to be spinning my wheels
    looking for an answer - any help is appreciated. Thanks.


    Hi
    In a nutshell no, the 1.13 version won't work. You would need to build
    a 1.12 version for openSUSE 12.3 and not sure if that would even be an
    option....

    So what won't work with the radeon driver?

    --
    Cheers Malcolm °¿° (Linux Counter #276890)
    openSUSE 12.3 (x86_64) Kernel 3.7.10-1.1-desktop
    up 4:05, 4 users, load average: 0.17, 0.70, 0.73
    CPU Intel® i5 CPU M520@2.40GHz | GPU Intel® Ironlake Mobile


  3. #3

    Default Re: Installation Help - AMD Catalyst for 12.3

    Quote Originally Posted by malcolmlewis View Post
    Hi
    In a nutshell no, the 1.13 version won't work. You would need to build
    a 1.12 version for openSUSE 12.3 and not sure if that would even be an
    option....

    So what won't work with the radeon driver?

    --
    Cheers Malcolm °¿° (Linux Counter #276890)
    openSUSE 12.3 (x86_64) Kernel 3.7.10-1.1-desktop
    up 4:05, 4 users, load average: 0.17, 0.70, 0.73
    CPU Intel® i5 CPU M520@2.40GHz | GPU Intel® Ironlake Mobile
    Not sure it will or won't, I tried the RC candidate and the video card ran non stop and hot. That won't work. I was looking for some tutorial to install the ATI driver or fglrx before I even try to install Opensuse 12.3. Does something like that exist? Thanks.

  4. #4
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    16,444
    Blog Entries
    14

    Default Re: Installation Help - AMD Catalyst for 12.3

    On Thu 14 Mar 2013 04:26:03 PM CDT, CHAZDG51 wrote:


    malcolmlewis;2534647 Wrote:
    > Hi
    > In a nutshell no, the 1.13 version won't work. You would need to build
    > a 1.12 version for openSUSE 12.3 and not sure if that would even be an
    > option....
    >
    > So what won't work with the radeon driver?
    >


    Not sure it will or won't, I tried the RC candidate and the video card
    ran non stop and hot. That won't work. I was looking for some tutorial
    to install the ATI driver or fglrx before I even try to install Opensuse
    12.3. Does something like that exist? Thanks.


    Hi
    Not sure, I have a HP ProBook 4525s with an ATI HD4200 series, doesn't
    seem to be running hot...

    I run GNOME and use an extension to control it;
    https://extensions.gnome.org/extensi...ofile-manager/

    I also upgraded the xf86-video-ati to overcome an issue;
    https://bugzilla.novell.com/show_bug.cgi?id=799117

    There is a SDB;
    http://en.opensuse.org/SDB:AMD_fglrx_legacy

    For 12.3.....
    http://geeko.ioda.net/mirror/amd-fgl...ed%20on%2012.3

    --
    Cheers Malcolm °¿° (Linux Counter #276890)
    openSUSE 12.3 (x86_64) Kernel 3.7.10-1.1-desktop
    up 12:10, 3 users, load average: 0.08, 0.12, 0.11
    CPU Intel® i5 CPU M520@2.40GHz | GPU Intel® Ironlake Mobile


  5. #5

    Default Re: Installation Help - AMD Catalyst for 12.3

    Quote Originally Posted by malcolmlewis View Post
    Hi
    Not sure, I have a HP ProBook 4525s with an ATI HD4200 series, doesn't
    seem to be running hot...

    I run GNOME and use an extension to control it;
    https://extensions.gnome.org/extensi...ofile-manager/

    I also upgraded the xf86-video-ati to overcome an issue;
    https://bugzilla.novell.com/show_bug.cgi?id=799117

    There is a SDB;
    SDB:AMD fglrx legacy - openSUSE

    For 12.3.....
    http://geeko.ioda.net/mirror/amd-fgl...ed%20on%2012.3

    --
    Cheers Malcolm °¿° (Linux Counter #276890)
    openSUSE 12.3 (x86_64) Kernel 3.7.10-1.1-desktop
    up 12:10, 3 users, load average: 0.08, 0.12, 0.11
    CPU Intel® i5 CPU M520@2.40GHz | GPU Intel® Ironlake Mobile
    Thanks for the links, but I'm more confused now. Am I wrong to conclude that there is no way to install the ATI driver from AMD's website? And unless I am running a legacy video card, fglrx won't work? However, if I run a Gnome extension which didn't work with Ubuntu, I can control the video card fan from running crazy. Are those my options are am I missing something? Sorry for being so dense about this.

  6. #6
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    16,444
    Blog Entries
    14

    Default Re: Installation Help - AMD Catalyst for 12.3

    On Thu 14 Mar 2013 06:46:04 PM CDT, CHAZDG51 wrote:


    malcolmlewis;2535097 Wrote:
    > Hi
    > Not sure, I have a HP ProBook 4525s with an ATI HD4200 series, doesn't
    > seem to be running hot...
    >
    > I run GNOME and use an extension to control it;
    > http://tinyurl.com/7jhag63
    >
    > I also upgraded the xf86-video-ati to overcome an issue;
    > https://bugzilla.novell.com/show_bug.cgi?id=799117
    >
    > There is a SDB;
    > 'SDB:AMD fglrx legacy - openSUSE'
    > (http://en.opensuse.org/SDB:AMD_fglrx_legacy)
    >
    > For 12.3.....
    > http://tinyurl.com/cmp585q
    >


    Thanks for the links, but I'm more confused now. Am I wrong to
    conclude that there is no way to install the ATI driver from AMD's
    website? And unless I am running a legacy video card, fglrx won't work?
    However, if I run a Gnome extension which didn't work with Ubuntu, I
    can control the video card fan from running crazy. Are those my options
    are am I missing something? Sorry for being so dense about this.


    Hi
    No, your not wrong. If your running a legacy card, fglrx will not work
    with the newer version of Xorg, you need to use the oss driver, else you
    could try rolling back the Xorg version to the one from 12.2 but have
    no idea how that would go.....

    The extension I quoted appears to be working for me as in setting a
    power profile. My fan doesn't go crazy, I can hear it working...

    What hardware and gfx card? What tools do you use to monitor?

    --
    Cheers Malcolm °¿° (Linux Counter #276890)
    openSUSE 12.3 (x86_64) Kernel 3.7.10-1.1-desktop
    up 14:46, 3 users, load average: 0.05, 0.08, 0.05
    CPU Intel® i5 CPU M520@2.40GHz | GPU Intel® Ironlake Mobile


  7. #7

    Default Re: Installation Help - AMD Catalyst for 12.3

    If you check Sebastian Siebert's blog (it is in German), he mentions that the legacy drivers can not be installed on openSUSE 12.3. There is a conflict with the xserver version 1.13.x, the legacy driver works only up to xserver version 1.12.x

    The regular driver 13.1 work just fine when I use his script.
    SUSE 13.1, Kernel 3.17.x, KDE 4.14.x

  8. #8

    Default Re: Installation Help - AMD Catalyst for 12.3

    Quote Originally Posted by swannema View Post
    If you check Sebastian Siebert's blog (it is in German), he mentions that the legacy drivers can not be installed on openSUSE 12.3. There is a conflict with the xserver version 1.13.x, the legacy driver works only up to xserver version 1.12.x

    The regular driver 13.1 work just fine when I use his script.
    If my card is an ATI 5870, a legacy driver would not work, but the ATI 13.1 driver does work. Where can I find a point by point tutorial to install it in Opensuse 12.3? I really don't see the instructions when searching Google. What am I missing here?

  9. #9
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    16,444
    Blog Entries
    14

    Default Re: Installation Help - AMD Catalyst for 12.3

    On Thu 14 Mar 2013 08:56:02 PM CDT, CHAZDG51 wrote:


    swannema;2535175 Wrote:
    > If you check Sebastian Siebert's 'blog'
    > (http://www.sebastian-siebert.de/) (it is in German), he mentions that
    > the legacy drivers can not be installed on openSUSE 12.3. There is a
    > conflict with the xserver version 1.13.x, the legacy driver works only
    > up to xserver version 1.12.x
    >
    > The regular driver 13.1 work just fine when I use his script.

    If my card is an ATI 5870, a legacy driver would not work, but the ATI
    13.1 driver does work. Where can I find a point by point tutorial to
    install it in Opensuse 12.3? I really don't see the instructions when
    searching Google. What am I missing here?


    Hi
    Ahh this one then: https://en.opensuse.org/SDB:AMD_fglrx

    --
    Cheers Malcolm °¿° (Linux Counter #276890)
    openSUSE 12.3 (x86_64) Kernel 3.7.10-1.1-desktop
    up 17:56, 3 users, load average: 0.18, 0.08, 0.06
    CPU Intel® i5 CPU M520@2.40GHz | GPU Intel® Ironlake Mobile


  10. #10

    Default Re: Installation Help - AMD Catalyst for 12.3

    Quote Originally Posted by malcolmlewis View Post
    Hi
    Ahh this one then: https://en.opensuse.org/SDB:AMD_fglrx

    --
    Cheers Malcolm °¿° (Linux Counter #276890)
    openSUSE 12.3 (x86_64) Kernel 3.7.10-1.1-desktop
    up 17:56, 3 users, load average: 0.18, 0.08, 0.06
    CPU Intel® i5 CPU M520@2.40GHz | GPU Intel® Ironlake Mobile
    Correct, best option is to follow the procedure that has the head line: Building yourself the rpm
    SUSE 13.1, Kernel 3.17.x, KDE 4.14.x

Page 1 of 2 12 LastLast

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •